Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.jbehave.core.reporters
Enum StoryReporterBuilder.Format

    java.lang.Object
      java.lang.Enum<StoryReporterBuilder.Format>
          org.jbehave.core.reporters.StoryReporterBuilder.Format

All Implemented Interfaces:
  Serializable, Comparable<StoryReporterBuilder.Format>

Enclosing class:
  StoryReporterBuilder

    public static enum StoryReporterBuilder.Format

extends Enum<StoryReporterBuilder.Format>

Enum Constant Summary
`CONSOLE`
`HTML`
`IDE_CONSOLE`
`STATS`
`TXT`
`XML`

Method Summary
`static StoryReporterBuilder.Format` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static StoryReporterBuilder.Format[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### CONSOLE

    public static final StoryReporterBuilder.Format CONSOLE

### IDE_CONSOLE

    public static final StoryReporterBuilder.Format IDE_CONSOLE

### TXT

    public static final StoryReporterBuilder.Format TXT

### HTML

    public static final StoryReporterBuilder.Format HTML

### XML

    public static final StoryReporterBuilder.Format XML

### STATS

    public static final StoryReporterBuilder.Format STATS

Method Detail

### values

    public static StoryReporterBuilder.Format[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (StoryReporterBuilder.Format c : StoryReporterBuilder.Format.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static StoryReporterBuilder.Format valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2003-2013. All Rights Reserved.